package com.dgtly.system.mapper;

import com.dgtly.system.domain.DeliverQuantityConfirm;
import com.dgtly.system.domain.TmsLogisticsStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 交货数量确认Mapper接口
 *
 * @author dgtly
 * @date 2022-11-29
 */
public interface DeliverQuantityConfirmMapper
{
    /**
     * 查询交货数量确认
     *
     * @param id 交货数量确认ID
     * @return 交货数量确认
     */
    public DeliverQuantityConfirm selectDeliverQuantityConfirmById(Long id);

    /**
     * 查询交货数量确认列表
     *
     * @param deliverQuantityConfirm 交货数量确认
     * @return 交货数量确认集合
     */
    public List<DeliverQuantityConfirm> selectDeliverQuantityConfirmList(DeliverQuantityConfirm deliverQuantityConfirm);

    /**
     * 新增交货数量确认
     *
     * @param deliverQuantityConfirm 交货数量确认
     * @return 结果
     */
    public int insertDeliverQuantityConfirm(DeliverQuantityConfirm deliverQuantityConfirm);

   void  saveDeliverNumber(@Param("list") List<DeliverQuantityConfirm> list);


    Integer insertCus(String customer);

    Integer selectCus(String customer);



}
